ALSA project - the C library reference: snd_seq_event_t Struct Reference

ALSA project - the C library reference

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
snd_seq_event_t Struct Reference
Sequencer Event Definitions

## Data Fields
snd_seq_event_type_t | type
unsigned char | flags
unsigned char | tag
unsigned char | queue
snd_seq_timestamp_t | time
snd_seq_addr_t | source
snd_seq_addr_t | dest
union {
snd_seq_ev_note_t note
snd_seq_ev_ctrl_t control
snd_seq_ev_raw8_t raw8
snd_seq_ev_raw32_t raw32
snd_seq_ev_ext_t ext
snd_seq_ev_queue_control_t queue
snd_seq_timestamp_t time
snd_seq_addr_t addr
snd_seq_connect_t connect
snd_seq_result_t result
} | data

## Detailed Description

Sequencer event

## Field Documentation

snd_seq_addr_t snd_seq_event_t::addr

address

snd_seq_connect_t snd_seq_event_t::connect

connect information

snd_seq_ev_ctrl_t snd_seq_event_t::control

MIDI control information

union { ... } snd_seq_event_t::data

event data...

snd_seq_addr_t snd_seq_event_t::dest

destination address

snd_seq_ev_ext_t snd_seq_event_t::ext

external data

unsigned char snd_seq_event_t::flags

event flags

snd_seq_ev_note_t snd_seq_event_t::note

note information

unsigned char snd_seq_event_t::queue

schedule queue

snd_seq_ev_queue_control_t snd_seq_event_t::queue

queue control

snd_seq_ev_raw32_t snd_seq_event_t::raw32

raw32 data

snd_seq_ev_raw8_t snd_seq_event_t::raw8

raw8 data

snd_seq_result_t snd_seq_event_t::result

operation result code

snd_seq_addr_t snd_seq_event_t::source

source address

unsigned char snd_seq_event_t::tag

tag

snd_seq_timestamp_t snd_seq_event_t::time

schedule time

timestamp

snd_seq_event_type_t snd_seq_event_t::type

event type

The documentation for this struct was generated from the following file:

- /builddir/build/BUILD/alsa-lib-1.1.8/include/seq_event.h